package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.h3c.H3cStoragePoolModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 存储池操作接口
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2018/11/19
 */
public interface StoragePoolProvider extends SuperProvider {
    public BocloudResult create(H3cStoragePoolModel storagePoolModel);

    public BocloudResult start(H3cStoragePoolModel storagePoolModel);

    public BocloudResult remove(H3cStoragePoolModel storagePoolModel);

    public BocloudResult list(String hostId);

    public BocloudResult detail(String hostId, String poolName);
}
